curl --request POST \
--url https://www.getsurfaced.ai/api/v1/account/api-keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"scoped_workspace_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"scopes": [],
"expires_at": "2023-11-07T05:31:56Z",
"scopedWorkspaceIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"expiresAt": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://www.getsurfaced.ai/api/v1/account/api-keys"
payload = {
"name": "<string>",
"scoped_workspace_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"scopes": [],
"expires_at": "2023-11-07T05:31:56Z",
"scopedWorkspaceIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"expiresAt": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
scoped_workspace_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
scopes: [],
expires_at: '2023-11-07T05:31:56Z',
scopedWorkspaceIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
expiresAt: '2023-11-07T05:31:56Z'
})
};
fetch('https://www.getsurfaced.ai/api/v1/account/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.getsurfaced.ai/api/v1/account/api-keys",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'scoped_workspace_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'scopes' => [
],
'expires_at' => '2023-11-07T05:31:56Z',
'scopedWorkspaceIds' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'expiresAt' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.getsurfaced.ai/api/v1/account/api-keys"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"scoped_workspace_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"scopes\": [],\n \"expires_at\": \"2023-11-07T05:31:56Z\",\n \"scopedWorkspaceIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"expiresAt\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://www.getsurfaced.ai/api/v1/account/api-keys")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"scoped_workspace_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"scopes\": [],\n \"expires_at\": \"2023-11-07T05:31:56Z\",\n \"scopedWorkspaceIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"expiresAt\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.getsurfaced.ai/api/v1/account/api-keys")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"scoped_workspace_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"scopes\": [],\n \"expires_at\": \"2023-11-07T05:31:56Z\",\n \"scopedWorkspaceIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"expiresAt\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"key": "<string>",
"apiKey": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"keyPrefix": "<string>",
"scopedWorkspaceIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"scopes": [
"read"
],
"lastUsedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"key_prefix": "<string>",
"scoped_workspace_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"last_used_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}Create an API key
Creates a key for the caller’s user. The plaintext key is returned ONCE in this response; store it, it cannot be retrieved later. A key can never create a key broader than itself (see scopes, scopedWorkspaceIds, expiresAt; the snake_case request names still work, but sending both for one field is 422). Omitted expiresAt defaults to 90 days, capped by the calling key’s expiry. Omitted scopedWorkspaceIds defaults to the optional X-Workspace-Id header, or inherits the calling key’s workspace restriction without that header. Explicit null opts into no expiry or all workspaces; [] grants access to no workspaces. An explicit broader value is rejected with 403 SCOPE_DENIED. scopes is a non-empty list of read, write or outreach (omit to inherit the caller’s scopes). Needs a key with write scope.
curl --request POST \
--url https://www.getsurfaced.ai/api/v1/account/api-keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"scoped_workspace_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"scopes": [],
"expires_at": "2023-11-07T05:31:56Z",
"scopedWorkspaceIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"expiresAt": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://www.getsurfaced.ai/api/v1/account/api-keys"
payload = {
"name": "<string>",
"scoped_workspace_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"scopes": [],
"expires_at": "2023-11-07T05:31:56Z",
"scopedWorkspaceIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"expiresAt": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
scoped_workspace_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
scopes: [],
expires_at: '2023-11-07T05:31:56Z',
scopedWorkspaceIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
expiresAt: '2023-11-07T05:31:56Z'
})
};
fetch('https://www.getsurfaced.ai/api/v1/account/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.getsurfaced.ai/api/v1/account/api-keys",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'scoped_workspace_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'scopes' => [
],
'expires_at' => '2023-11-07T05:31:56Z',
'scopedWorkspaceIds' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'expiresAt' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.getsurfaced.ai/api/v1/account/api-keys"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"scoped_workspace_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"scopes\": [],\n \"expires_at\": \"2023-11-07T05:31:56Z\",\n \"scopedWorkspaceIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"expiresAt\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://www.getsurfaced.ai/api/v1/account/api-keys")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"scoped_workspace_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"scopes\": [],\n \"expires_at\": \"2023-11-07T05:31:56Z\",\n \"scopedWorkspaceIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"expiresAt\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.getsurfaced.ai/api/v1/account/api-keys")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"scoped_workspace_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"scopes\": [],\n \"expires_at\": \"2023-11-07T05:31:56Z\",\n \"scopedWorkspaceIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"expiresAt\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"key": "<string>",
"apiKey": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"keyPrefix": "<string>",
"scopedWorkspaceIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"scopes": [
"read"
],
"lastUsedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"key_prefix": "<string>",
"scoped_workspace_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"last_used_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}Authorizations
API key (sk_live_...) created at https://www.getsurfaced.ai/app/settings/account/api-keys